FruxonDocs
ApiIntegration config sandbox

Create a simulated entity in the sandbox.

Adds a single simulated entity to the sandbox. The combination of (integration, config, entityType, entityId) must be unique. Returns 201 with the created entity and a Location header pointing at the new resource.

POST
/v1/tenants/{tenant}/integrations/{integration}/configs/{config}/sandbox/entities
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

integration*string

The integration the sandbox belongs to.

config*string

The integration config id whose sandbox to write to.

Formatuuid
tenant*string

The tenant identifier

Entity type, id, scope, and payload to create.

entityType*string|null
scope?string|null
entityId*string|null
payload*string|null
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/integrations/string/configs/497f6eca-6276-4993-bfeb-53cbbbba6f08/sandbox/entities" \  -H "Content-Type: application/json" \  -d '{    "entityType": "string",    "entityId": "string",    "payload": "string"  }'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "entityType": "string",
  "scope": "string",
  "entityId": "string",
  "payload": "string",
  "tombstoned": false,
  "createdAt": 0,
  "modifiedAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}